import React, { useState, useEffect } from 'react'
import { useSelector } from 'react-redux'
import { View } from '@tarojs/components'
import Overlay from '@/components/Overlay'
import Loading from '@/components/Loading'
import AuthAvatar from '@/components/Auth/AuthAvatar'
import AuthPhone from '@/components/Auth/AuthPhone'
import Spin from '@/components/Spin/Spin2'
import WrapperPerson from './WrapperPerson'
import useAuth from './useAuth'

import './style.scss'

export default (ChildComponent) => (props) => {
  const { person } = useSelector(s => s.user.userInfo)
  const { spinning } = useSelector(s => s.user)

  const [loading, setLoading] = useState(false)
  const [authPhone, authAvatar] = useAuth(person)

  useEffect(() => {
    setLoading(!person || !person.personId)
  // eslint-disable-next-line react-hooks/exhaustive-deps
  }, [person])

  return (
    <>
      <Overlay visible={loading} style={{background: '#fff'}}>
        <Loading />
      </Overlay>
      <Overlay visible={authPhone} aligin='bottom'>
        <View className='auth-wrapper'>
          <AuthPhone />
        </View>
      </Overlay>
      <Overlay visible={!authPhone && authAvatar} aligin='bottom'>
        <View className='auth-wrapper'>
          <AuthAvatar />
        </View>
      </Overlay>
      <Spin size={32} spinning={spinning} />
      <WrapperPerson>
        <ChildComponent />
      </WrapperPerson>
    </>
  )
}
