import { useState, useEffect } from 'react'
import { useRouter } from '@tarojs/taro'
import { routes } from '../routes'

export default function useAuth(person) {
  const [authPhone, setAuthPhone] = useState(false)
  const [authAvatar, setAuthAvatar] = useState(false)
  const { path } = useRouter()

  useEffect(() => {
    const current = routes.filter((route) => path.indexOf(route.page) > -1)[0]
    if (current && current.auth && current.auth.length) {
      // 如果需要授权手机
      if (current.auth.indexOf('phone') > -1) {
        if (person && !person.phone) {
          setAuthPhone(true)
        } else {
          setAuthPhone(false)
        }
      }

      // 如果需要授权头像
      if (current.auth.indexOf('avatar') > -1) {
        if (person && (!person.avatarurl || person.avatarurl.indexOf('default_avatar') > -1)) {
          setAuthAvatar(true)
        } else {
          setAuthAvatar(false)
        }
      }
    } else {
      setAuthPhone(false)
      setAuthAvatar(false)
    }
  }, [person, path])

  return [authPhone, authAvatar]
}
