import { useState, useEffect } from 'react'
import { useDidShow,useRouter } from '@tarojs/taro'
import { ScrollView } from '@tarojs/components'
import { queryActivityList, getActNewList } from '@/services/activity'
import './index.scss'
import ActivityListItem from '../components/ActivityListItem/index'

export default function MyCollectForActivity (props) {
 
  const router=useRouter()
  console.log(router,'MyCollectForActivity')
   const { type } = router.params;
  const [PageList, setPageList] = useState([])
  const [IsPull, setPull] = useState(false)
  const [PullTimer, setPullTimer] = useState(null)

  const PageRefresh = () => { // 页面下拉刷新回调
    setPull(true)
  }

  useEffect(() => { // 下拉刷新触发
    if (IsPull) {
      clearTimeout(PullTimer)
      setPullTimer(setTimeout(() => {
        setPull(false)
      }, 2000))
    }
  }, [IsPull])



 const getList = (params) => {
  queryActivityList({...params,type}).then((res)=>{
    console.log(res,'-----------------')
    setPageList(res.list)
  })
  }
  useDidShow(() => {
    getList({page :0, pageSize : 10})
  })

 

  return (
    <view className='components activityList'>
      <ScrollView scroll-y refresher-enabled refresher-triggered={IsPull} onrefresherrefresh={PageRefresh} refresher-background='#f8f8f8'>
        <view className='PageContent'>
          <view className='List'>
            {
              PageList.map((item, index) => (
                <ActivityListItem data={item} key={`ActivityListItem-${index}`}></ActivityListItem>
              ))
            }
          </view>

          {/* bottom */}
          <view className='PageBottom'>
            <text>已经到底了~</text>
          </view>
        </view>
      </ScrollView>
    </view>
  )
}
