
import { Image } from '@tarojs/components'
import { getImgURL } from '@/utils/image'
import '@/assets/css/iconfont.css'
import './index.scss'

export default function News (props) {
  const { List = [] } = props
  return List.length > 0 ? (
    <view className='components News'>

      <view className='Title flex-h'>
        <view className='flex-item'>
          <text>新鲜资讯</text>
        </view>
        <text>更多</text>
        <text className='iconfont icon-jiantouright'></text>
      </view>

      <view className='List flex-h'>
        {
          List.map((item, index) => (
            <view className='flex-item' key={`ListItem-${index}`}>
              <view className='Img' style={{display: item.newsImg || item.newsName ? 'block' : 'none'}}>
                <Image mode='aspectFill' src={getImgURL(item.newsImg)} className='centerLabel'></Image>
              </view>
              <text className='Title'>{item.newsName}</text>
            </view>
          ))
        }
      </view>

    </view>
  ) : null;
}
