import { useState, useEffect } from 'react'
import { useSelector } from 'react-redux'
import Taro from '@tarojs/taro'
import { fetch } from '@/utils/request'
import { API_ACTIVITY_LIST } from '@/constants/api'
import { queryActivityList, getActNewList } from '@/services/activity'
import './index.scss'
import '../../../../assets/css/iconfont.css'

export default function HotRecommend () {

  const city = useSelector(state => state.city)
  const [MenuList] = useState([{ name: '热门活动', id: 'dymic' }, { name: '热门团房', id: 'house' }])
  const [CurrentId, setCurrentId] = useState('dymic')
  const [list,setList]=useState([])
  const [CurrentContentInfo, setCurrentContentInfo] = useState({ title: '#大运河孔雀城时代', desc: '5月30日六一儿童节表演赛案场展开！' })

  useEffect(() => {
    if(city.curCity.name) {
      GetRecommendActivity()
    }
  }, [city])

  const GetRecommendActivity = () => {
    
      queryActivityList({home:1}).then((res)=>{
        console.log(res,'-----------------')
        setList(res.list)
      })
  }

  useEffect(() => {
    if(list.length>0) {
      setCurrentContentInfo(list.filter(x=>x.type==CurrentId)[0])
    }
  }, [CurrentId,list])

  const CutMenu = (id) => {
    return () => {
      setCurrentId(id)
    }
  }
// x?type=dymic' },
//     { name: '团房信息', id: 8, icon: require('../../../../assets/index-icon12.png'), router: '/pages/index/activityList/index?type=house'
  const ToMore = () => {
    Taro.navigateTo({url: `/pages/index/activityList/index?type=${CurrentId}`})
  }

  const toDetail = () => {
    Taro.navigateTo({url: `/pages/index/activityDetail/index?id=${CurrentContentInfo.dynamicId}`})
  }
  // url: `/pages/index/activityDetail/index?id=${data.dynamicId}`
  return (
    <view className='components HotRecommend'>
      <view>
        <view className='Menu flex-h'>
          {
            MenuList.map((item, index) => (
              <view onClick={CutMenu(item.id)} className={CurrentId === item.id ? 'active flex-item' : 'flex-item'} key={`Menu-${index}`}>{item.name}</view>
            ))
          }
        </view>
        {console.log(CurrentContentInfo,'CurrentContentInfo')}
        <view className='Content' onClick={toDetail}>
          <view className='flex-h'>
            <text className='flex-item'>{CurrentContentInfo.title}</text>
            <text onClick={ToMore}>{CurrentId === 'dymic' ? '更多活动' : '更多团房'}</text>
          </view>
          <text>{CurrentContentInfo.desc}</text>
        </view>
      </view>
    </view>
  )
}
