import { useEffect, useState } from 'react'
import Taro from '@tarojs/taro'
import { favorProject, cancelFavorProject } from '@/services/item'

export default function(eventType, saved) {
  const [isSaved, setIsSaved] = useState(saved)

  useEffect(() => setIsSaved(saved), [saved])

  const handleSave = (buildingId) => {
    if (isSaved) {
      cancelFavorProject(buildingId).then(() => {
        setIsSaved(false)
        Taro.showToast({
          title: '已取消收藏',
          icon: 'none',
        })
      })
    } else {
      favorProject(buildingId).then(() => {
        setIsSaved(true)
        Taro.showToast({
          title: '收藏成功',
          icon: 'none',
        })
      })
    }
    // savePoint({
    //   event: 'save',
    //   eventType: type,
    //   propertyName: '项目收藏',
    //   data: '{}'
    // })
  }

  switch (eventType) {
    case 'building':
      return [isSaved, handleSave];
    default:
      return [];
  }
}
